Function
indexRequire
On-demand creation of a specific Fibre.
indexRequire(index, fibre_tag)
Include Headers
seqan/index.h
Parameters

index | The Index object holding the fibre. Types: Index
fibre_tag | A tag that identifies the Fibre (e.g. EsaSA).

Remarks
If the fibre already exists (indexSupplied is true) then indexRequire does nothing. If the fibre doesn't exist then indexCreate is called to create it.
Return Values
A bool which is true on a successful creation.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47